<?php
/*
 * ----------------------------------------------------------------------------
 * BBSLogin.php                                                      05/17/2003
 * This is a login screen for the BBS's VADV-PHP page.
 * ----------------------------------------------------------------------------
 * Copyright (C) 2002-2003 Steve Winn. All Rights Reserved.
 *
 * The source code contains a fair amount of comments, which may aid anyone
 * attempting to follow the program or to modify it.
 *
 * For licensing and copyright information, view LICENSE.TXT.
 * ----------------------------------------------------------------------------
 */

require_once('include_dir.php');                    // Get Include directory.
require_once($includeDir . 'va-functions.inc.php'); // A VADV-PHP script.
require_once($includeDir . 'va-main.inc.php');      // Main configuration.
require_once($includeDir . 'forms.inc.php');

if (($USER['userno'] != 0) && ($USER['userno'] != $CONFIG['guestacct']) && ($USER['securitylevel'] != 0) && (isset($_GET['url']))) RedirectUser(urldecode($_GET['url']));
?>
<html>

<head>
<title><?php print $VA_MAIN['bbsname']; ?>'s VADV-PHP Login</title>
<meta http-equiv="Content-Type" content="text/html; charset=ISO-8559-1" />
<meta name="copyright" content="Copyright  2003, Steve Winn" />
<meta name="rating" content="General" />
<link rel="stylesheet" type="text/css" href="VADVPHP.css" />
</head>

<body bgcolor="#000000">

<div align="center">
    <center>
    <table border="1" width="640" cellspacing="0" cellpadding="5" bgcolor="#000080" bordercolor="#FFFFFF">
        <tr>
            <td valign="top">
                <p class="yellowTitle" align="center"><?php print $VA_MAIN['bbsname']; ?>'s VADV-PHP Login</p>
                <table cellspacing="1" width="100%">
                    <tr>
                        <td valign="top">
                            <p align="center">
                                <a class="return" href="index.php">Return to main BBS page.</a>
                            </p>
                            <?php if (($USER['userno'] == 0) || ($USER['userno'] == $CONFIG['guestacct'])) {print "<p class=\"infoBarBody\" align=\"center\">If you do not have an account, "; if ($VA_MAIN['newuserpw'] == md5(strtoupper(''))) {print "you may <a class=\"infoBarBody\" href=\"bbsregister.php\">create an account</a>.";} else {print "connect to the BBS to create one.";} print "</p>";} ?>
                            <?php LoginBox(); ?>
                        </td>
                    </tr>
                </table>
                <p align="center"><span class="navBar">This page is powered
                by <a class="navBar" href="http://www.vadvphp.com">VADV-PHP</a></span></p>
                <p align="center" class="infoBarBody">If you experience any problems
                with this website or need help, contact the
                <a class="infoBarBody" href="mailto:<?php print $CONFIG['webmaster']; ?>">webmaster</a>.<br />
                VADV-PHP Copyright  2002-<?php print date('Y'); ?> Aspect
                Technologies. All Rights Reserved.</p>
            </td>
        </tr>
    </table>
    </center>
</div>

</body>

</html>
