<?php
/*
 * ----------------------------------------------------------------------------
 * Common.inc.php                                                    07/15/2003
 * This script contains various settings that are initiated for every VADV-PHP
 * script. You should include va-functions.inc.php instead of including this
 * file directly.
 * ----------------------------------------------------------------------------
 * Copyright (C) 2002-2003 Steve Winn. All Rights Reserved.
 *
 * The source code contains a fair amount of comments, which may aid anyone
 * attempting to follow the program or to modify it.
 *
 * For licensing and copyright information, view LICENSE.TXT.
 * ----------------------------------------------------------------------------
 */

if (!headers_sent()) {                      // Create the VADV-PHP session.
    session_name('VADVPHP');
    session_start();
}

$startTime = ProgramTime();                 // Begin recording the execution time.

if (ini_get('max_execution_time') < 120)    // Set max execution time.
    ini_set('max_execution_time', 120);    
ini_set('memory_limit', '8M');              // Set max memory limit.
ini_set('display_errors', 0);               // Do not display errors.

ini_set('magic_quotes_runtime', 0);         // Fix magic quotes.
if (get_magic_quotes_gpc()) {
    Array_StripSlashes($_POST);
    Array_StripSlashes($_GET);
    Array_StripSlashes($_COOKIES);
}

ob_start();                                 // Turn on buffering.

?>
