<?php
/*
 * ----------------------------------------------------------------------------
 * VConfig_VADV-PHP_Process.php                                      07/12/2003
 * This script processes the info from the vconfig_vadv-php.php script.
 * ----------------------------------------------------------------------------
 * Copyright (C) 2002-2003 Steve Winn. All Rights Reserved.
 *
 * The source code contains a fair amount of comments, which may aid anyone
 * attempting to follow the program or to modify it.
 *
 * For licensing and copyright information, view LICENSE.TXT.
 * ----------------------------------------------------------------------------
 */

require_once('include_dir.php');                    // Get include directory.
require_once($includeDir . 'va-functions.inc.php'); // A VADV-PHP script.

if (($USER['userno'] == 0) || ($USER['userno'] == $CONFIG['guestacct'])) RedirectUser('../bbslogin.php?url=' . urlencode(GetCurrentURL()));
if ($USER['securitylevel'] != 255) RedirectUser('../index.php');

if ((!isset($_POST['process'])) || ($_POST['process'] != 1)) die('<br /><h4>Invalid parameters. Please press the BACK button on your browser.</h4>');
if (!isset($_POST['submit'])) die('<br /><h4>Invalid parameters. Please press the BACK button on your browser.</h4>');

if ($_POST['submit'] == 'Reset') RedirectUser($_POST['referer']);
if ($_POST['submit'] == 'Cancel') RedirectUser('vconfig.php');

$newConfig = $CONFIG;

if ((isset($_POST['telnet']))        && ($_POST['telnet']        != $CONFIG['telnet']))        $newConfig['telnet']        = $_POST['telnet'];
if ((isset($_POST['hostname']))      && ($_POST['hostname']      != $CONFIG['hostname']))      $newConfig['hostname']      = $_POST['hostname'];
if ((isset($_POST['filehost']))      && ($_POST['filehost']      != $CONFIG['filehost']))      $newConfig['filehost']      = $_POST['filehost'];
if ((isset($_POST['bbsdir']))        && ($_POST['bbsdir']        != $CONFIG['bbsdir']))        $newConfig['bbsdir']        = $_POST['bbsdir'];
if ((isset($_POST['webmaster']))     && ($_POST['webmaster']     != $CONFIG['webmaster']))     $newConfig['webmaster']     = $_POST['webmaster'];
if ((isset($_POST['guestacct']))     && ($_POST['guestacct']     != $CONFIG['guestacct']))     $newConfig['guestacct']     = intval($_POST['guestacct']);
if ((isset($_POST['usersl']))        && ($_POST['usersl']        != $CONFIG['usersl']))        $newConfig['usersl']        = intval($_POST['usersl']);
if ((isset($_POST['useraccflags']))  && ($_POST['useraccflags']  != $CONFIG['useraccflags']))  $newConfig['useraccflags']  = $_POST['useraccflags'];
if ((isset($_POST['userage']))       && ($_POST['userage']       != $CONFIG['userage']))       $newConfig['userage']       = intval($_POST['userage']);
if ((isset($_POST['purgetime']))     && ($_POST['purgetime']     != $CONFIG['purgetime']))     $newConfig['purgetime']     = intval($_POST['purgetime']);
if ((isset($_POST['purgeminlevel'])) && ($_POST['purgeminlevel'] != $CONFIG['purgeminlevel'])) $newConfig['purgeminlevel'] = intval($_POST['purgeminlevel']);
if ((isset($_POST['purgemaxlevel'])) && ($_POST['purgemaxlevel'] != $CONFIG['purgemaxlevel'])) $newConfig['purgemaxlevel'] = intval($_POST['purgemaxlevel']);
if ((isset($_POST['newuserreq']))    && ($_POST['newuserreq']    != $CONFIG['newuserreq']))    $newConfig['newuserreq']    = intval($_POST['newuserreq']);
if ((isset($_POST['banned']))        && ($_POST['banned']        != $CONFIG['banned']))        $newConfig['banned']        = $_POST['banned'];
if ((isset($_POST['refresh']))       && ($_POST['refresh']       != $CONFIG['refresh']))       $newConfig['refresh']       = intval($_POST['refresh']);

if (isset($newConfig)) WriteConfig($newConfig);

RedirectUser($_POST['referer']);

?>
